Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.sql
Class DerbyCaseFragment

    java.lang.Object
      org.hibernate.sql.CaseFragment
          org.hibernate.sql.DerbyCaseFragment

    public class DerbyCaseFragment

extends CaseFragment

See Also:
  `DerbyDialect`

Field Summary

Fields inherited from class org.hibernate.sql.CaseFragment
`cases, returnColumnName`

Constructor Summary
`DerbyCaseFragment()`

Method Summary
`String` | `toFragmentString()` From http://www.jroller.com/comments/kenlars99/Weblog/cloudscape_soon_to_be_derby The problem we had, was when Hibernate does a select with a case statement, for joined subclasses.

Methods inherited from class org.hibernate.sql.CaseFragment
`addWhenColumnNotNull, setReturnColumnName, setReturnColumnName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DerbyCaseFragment

    public DerbyCaseFragment()

Method Detail

### toFragmentString

    public String toFragmentString()

  From http://www.jroller.com/comments/kenlars99/Weblog/cloudscape_soon_to_be_derby

  The problem we had, was when Hibernate does a select with a case statement, for joined subclasses. This seems to be because there was no else at the end of the case statement (other dbs seem to not mind).

  Specified by:
    `toFragmentString` in class `CaseFragment`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.